%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-myhdl
Version:        0.8.1
Release:        1%{?dist}
Summary:        A python hardware description and verification language

Group:          Applications/Engineering
License:        LGPLv2+
URL:            http://myhdl.org
Source0:        http://downloads.sourceforge.net/myhdl/myhdl-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel

%description
%{name} is a Python hardware description and verification language that 
helps you go from Python to silicon. MyHDL code can be converted to Verilog 
and VHDL. It can also be used to convert signals, do co-simulation 
with Verilog, generating test benches with test vectors for VHDL, Verilog and 
supports viewing waveform by tracing signal changes in a VCD file.

%prep
%setup -q -n myhdl-%{version}

find -name '*.txt' | xargs chmod -x
find -name '*.py'  | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc CHANGELOG.txt CHANGES.txt LICENSE.txt README.txt example
%{python_sitelib}/*

%changelog
* Wed Aug 27 2014 Filipe Rosset <rosset.filipe@gmail.com> - 0.8.1-1
- Rebuilt for new upstream release 0.8.1, fixes rhbz #1134008

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 21 2013 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.8-1
- Updated to 0.8 release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jun 05 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.7-1
- Initial package.
